Bug 1401591 - uthash-1.9.9-10.fc24 FTBFS
Summary: uthash-1.9.9-10.fc24 FTBFS
Keywords:
Status: CLOSED ERRATA
Alias: None
Deadline: 2016-12-20
Product: Fedora
Classification: Fedora
Component: uthash
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: BaseRuntimeFTBFS
TreeView+ depends on / blocked
 
Reported: 2016-12-05 15:56 UTC by Merlin Mathesius
Modified: 2017-01-07 00:22 UTC (History)
3 users (show)

Fixed In Version: uthash-2.0.1-1.fc26 uthash-2.0.1-1.fc25 uthash-2.0.1-1.fc24 uthash-2.0.1-6.el6 uthash-2.0.1-6.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-07 00:19:23 UTC


Attachments (Terms of Use)
proposed patch to correct FTBFS issue (1.39 KB, patch)
2016-12-14 21:15 UTC, Merlin Mathesius
no flags Details | Diff

Description Merlin Mathesius 2016-12-05 15:56:42 UTC
uthash-1.9.9-10.fc24 fails to build from source.
This affects Base Runtime, Rawhide, and F25.

The reason is an undeclared build dependency on perl which is executed during the build phase to run checks. Perl is no longer included in the default buildroot.

This can be easily fixed by adding a BuildRequires for perl.

Comment 1 Merlin Mathesius 2016-12-06 22:14:07 UTC
Please apply the patch or respond with a reason it should not be applied within two weeks. After that time, a provenpackager will go ahead and apply it.

Comment 2 Merlin Mathesius 2016-12-14 21:15:39 UTC
Created attachment 1231886 [details]
proposed patch to correct FTBFS issue

Comment 3 Björn 'besser82' Esser 2016-12-17 15:28:13 UTC
Comment on attachment 1231886 [details]
proposed patch to correct FTBFS issue

Needed BR: perl has been added while updating the package to v2.0.1 [1].  Build succeded on Rawhide.


[1]  https://koji.fedoraproject.org/koji/buildinfo?buildID=826365

Comment 4 Fedora Update System 2016-12-17 15:31:13 UTC
uthash-2.0.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-02c614561d

Comment 5 Fedora Update System 2016-12-17 15:31:17 UTC
uthash-2.0.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0f9f515bb7

Comment 6 Fedora Update System 2016-12-17 15:31:22 UTC
uthash-2.0.1-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-02ee4e585c

Comment 7 Fedora Update System 2016-12-17 15:31:27 UTC
uthash-2.0.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ae9963635e

Comment 8 Fedora Update System 2016-12-19 01:52:21 UTC
uthash-2.0.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-02c614561d

Comment 9 Fedora Update System 2016-12-19 02:31:46 UTC
uthash-2.0.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0f9f515bb7

Comment 10 Fedora Update System 2016-12-19 19:18:58 UTC
uthash-2.0.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-02ee4e585c

Comment 11 Fedora Update System 2016-12-20 00:58:43 UTC
uthash-2.0.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ae9963635e

Comment 12 Fedora Update System 2016-12-28 20:20:29 UTC
uthash-2.0.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-12-28 21:49:02 UTC
uthash-2.0.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-12-29 22:37:12 UTC
uthash-2.0.1-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f3f7a37610

Comment 15 Fedora Update System 2016-12-29 22:37:19 UTC
uthash-2.0.1-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-98c413c434

Comment 16 Fedora Update System 2016-12-29 22:57:54 UTC
uthash-2.0.1-4.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c613d8d413

Comment 17 Fedora Update System 2016-12-29 22:58:03 UTC
uthash-2.0.1-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-baf4ad8a9d

Comment 18 Fedora Update System 2016-12-30 21:08:25 UTC
uthash-2.0.1-6.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7c2033fe7f

Comment 19 Fedora Update System 2016-12-30 21:08:30 UTC
uthash-2.0.1-6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1c858486ad

Comment 20 Fedora Update System 2016-12-31 08:49:08 UTC
uthash-2.0.1-6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1c858486ad

Comment 21 Fedora Update System 2016-12-31 08:49:12 UTC
uthash-2.0.1-6.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7c2033fe7f

Comment 22 Fedora Update System 2017-01-07 00:19:23 UTC
uthash-2.0.1-6.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2017-01-07 00:22:02 UTC
uthash-2.0.1-6.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.